Commit e0a995af authored by Matthias Fechner's avatar Matthias Fechner

Update to 481008.

parent 5fe19d2e
Pipeline #32 failed with stages
in 17 seconds

Too many changes to show.

To preserve performance only 1000 of 1000+ files are displayed.

# Creator: Jordan Hubbard
# $FreeBSD: head/LEGAL 479360 2018-09-10 05:53:46Z yuri $
# $FreeBSD: head/LEGAL 480718 2018-09-26 06:36:51Z loader $
#
# **********************************************************************
# *** NOTE TO COMMITTERS ***
......@@ -208,6 +208,7 @@ ue*dev.zip editors/uemacs Resale allowed for media cost only
unifi-5*/UniFi.unix.zip net-mgmt/unifi5 Redistribution of bundled firmware images is not permitted
uplink-demo* games/linux-uplink-demo Redistribution is limited, see license
uzap.tar.gz editors/uzap This software may not be used to make a profit in any way.
vdbench*.zip benchmarks/linux-vdbench Redistribution is not permitted
vdr-markad-* multimedia/vdr-plugin-markad Installs station logos
vice-* emulators/vice ROMs are copyrighted by Commodore Business Machines
VMware-vSphere-Perl* net/vmware-vsphere-cli May not be redistributed. Must accept license to download.
......
#
# MOVED -- A list of (recently) moved or removed ports
#
# $FreeBSD: head/MOVED 480374 2018-09-22 10:15:22Z mandree $
# $FreeBSD: head/MOVED 481008 2018-10-01 08:02:18Z mfechner $
#
# Each entry consists of a single line containing the following four
# fields in the order named, separated with the pipe (`|') character:
......@@ -6552,7 +6552,6 @@ lang/hiphop-php||2014-09-01|Not staged
lang/lush||2014-09-01|Not staged
lang/metaocaml||2014-09-01|Not staged
lang/mpd||2014-09-01|Not staged
lang/ocaml-camlidl||2014-09-01|Not staged
lang/ocaml-mode.el||2014-09-01|Not staged
lang/ocs||2014-09-01|Not staged
lang/oorexx||2014-09-01|Not staged
......@@ -10493,8 +10492,8 @@ misc/freebsd-doc-sr||2018-08-23|Removed
www/py-django18|www/py-django111|2018-08-25|Has expired: End of Live since 01/04/2018
x11-themes/qt4-style-Kvantum|x11-themes/Kvantum@qt4|2018-08-26|Moved to flavored version
x11-themes/qt5-style-Kvantum|x11-themes/Kvantum@qt5|2018-08-26|Moved to flavored version
devel/gps||2018-08-28|Has expired: Depends on obsolete LLVM 3.8.
net-mgmt/ocsinventory-ng|net-mgmt/ocsinventory-server|2018-08-26|split port
devel/gps||2018-08-28|Has expired: Depends on obsolete LLVM 3.8
net-mgmt/ocsinventory-ng|net-mgmt/ocsinventory-server|2018-08-30|split port
www/py-buku|www/buku|2018-09-01|Moved to correct directory, port is not a python library
math/rpy2|math/py-rpy2|2018-09-01|Moved to correct directory, this is a python library
games/libdungeonmaker||2018-09-02|Has expired: Abandonware. Unused in the ports tree
......@@ -10529,3 +10528,31 @@ www/py-searx|www/searx|2018-09-16|Move to a proper directory: this is a server,
net/syndication|net/kf5-syndication|2018-09-17|Has become a proper KDE framework
x11-wm/swm||2018-09-21|Has expired: upstream no longer maintained, the screen turns black after starting swm
graphics/OpenEXR|graphics/openexr|2018-09-22|Renamed to match upstream distribution's lower-case name
math/mtl||2018-09-27|Has expired: fails to fetch: mastersite times out
dns/dnscrypt-proxy|dns/dnscrypt-proxy2|2018-09-27|Has expired: Deprecated by upstream, use dns/dnscrypt-proxy2 instead
www/waterfox||2018-09-29|Has expired: experiment ended: unsustainable
net/ntp-devel|net/ntp|2018-09-30|Has expired: Use net/ntp instead
net/xrdp-devel|net/xrdp|2018-09-30|Has expired: Use net/xrdp instead
net/tigervnc-devel|net/tigervnc|2018-09-30|Has expired: Use net/tigervnc instead
net/unison-devel|net/unison|2018-09-30|Has expired: Use net/unison instead
textproc/p5-IDNA-Punycode||2018-09-30|Has expired: Deprecated by upstream
graphics/gnustep-slideshowkit||2018-09-30|Has expired: unknown license
graphics/gnustep-slideshow||2018-09-30|Has expired: depends on expiring graphics/gnustep-slideshowkit
security/lockdown||2018-09-30|Has expired: Renders system unbootable
devel/p5-Search-Binary||2018-09-30|Has expired: Deprecated by upstream, use List::BinarySearch instead
devel/p5-ExtUtils-Command|devel/p5-ExtUtils-MakeMaker|2018-09-30|Has expired: ExtUtils::Command has been re-incorporated to ExtUtils-MakeMaker since 7.06, use devel/p5-ExtUtils-MakeMaker instead
editors/yui||2018-09-30|Has expired: Unmaintained upstream
x11/tint-devel|x11/tint|2018-09-30|Has expired: Use x11/tint instead
print/apsfilter||2018-09-30|Mostly unmaintained since 2015 and depends on expired ports
print/hpijs||2018-09-30|Has expired: Unsupported since 2005, please migrate to print/hplip
archivers/freeze||2018-09-30|Has expired: unknown license
accessibility/atk-reference||2018-09-30|Removed stand alone documentation port
graphics/cairo-reference||2018-09-30|Removed stand-alone documentation port
deskutils/gnome-shell-extension-overlay-icons|deskutils/gnome-shell-extension-windowoverlay-icons|2018-09-30|Renamed
deskutils/gnome-tweak-tool|deskutils/gnome-tweaks|2018-09-30|Renamed
x11-themes/gnome-themes-standard|x11-themes/gnome-themes-extra|2018-09-30|Renamed
accessibility/mousetweaks||2018-09-30|Remove, no longer maintained
deskutils/kdeconnect|deskutils/kdeconnect-kde-kde4|2018-09-30|Renamed to make place for KF5 based version
devel/rubygem-rainbow2|devel/rubygem-rainbow|2018-10-01|Has expired: Obsolete by gitlab-ce 11.3.x update, please use devel/rubygem-rainbow instead
net/rubygem-fog-google13|net/rubygem-fog-google|2018-10-01|Has expired: Obsolete by gitlab-ce 11.3.x update, please use net/rubygem-fog-google instead
devel/rubygem-gemnasium-gitlab-service||2018-10-01|Has expired: Not required by gitlab-ce 11.3.x update anymore
# $FreeBSD: head/Mk/Uses/cargo.mk 480253 2018-09-21 11:16:08Z jbeich $
# $FreeBSD: head/Mk/Uses/cargo.mk 480877 2018-09-28 18:47:25Z tobik $
#
# This file contains logic to ease porting of Rust packages or
# binaries using the `cargo` command.
......@@ -46,7 +46,7 @@ DISTFILES+= ${CARGO_DIST_SUBDIR}/${_crate}.tar.gz:cargo_${_crate:S/-//g:S/.//g}
CARGO_BUILDDEP?= yes
.if ${CARGO_BUILDDEP:tl} == "yes"
BUILD_DEPENDS+= rust>=1.19.0_2:lang/rust
BUILD_DEPENDS+= rust>=1.29.1:lang/rust
.endif
# Location of cargo binary (default to lang/rust's Cargo binary)
......
#-*- tab-width: 4; -*-
# ex:ts=4
#
# $FreeBSD: head/Mk/Uses/gnome.mk 469965 2018-05-14 20:43:50Z kwm $
# $FreeBSD: head/Mk/Uses/gnome.mk 480951 2018-09-30 11:58:29Z kwm $
# $NetBSD: $
#
# Please view me with 4 column tabs!
......@@ -100,6 +100,10 @@ _USE_GNOME_ALL+=atkmm cairomm gconfmm26 glibmm gtkmm20 gtkmm24 \
libgtksourceviewmm libxml++26 libsigc++12 libsigc++20 \
pangomm
# glib-mkenums often fails with C locale
# https://gitlab.gnome.org/GNOME/glib/issues/1430
USE_LOCALE?= en_US.UTF-8
GNOME_MAKEFILEIN?= Makefile.in
SCROLLKEEPER_DIR= /var/db/rarian
......
# $FreeBSD: head/Mk/Uses/objc.mk 464435 2018-03-13 21:43:28Z bdrewery $
# $FreeBSD: head/Mk/Uses/objc.mk 480741 2018-09-26 15:23:37Z brooks $
#
# Objective C support
#
......@@ -10,7 +10,7 @@
.if !defined(_INCLUDE_USES_OBJC_MK)
_INCLUDE_USES_OBJC_MK= yes
OBJC_CLANG_VERSION=40
OBJC_CLANG_VERSION=60
objc_ARGS?=
.if !empty(objc_ARGS) && ! ${objc_ARGS:Mcompiler}
......
# $FreeBSD: head/Mk/Uses/qt.mk 479286 2018-09-09 11:12:14Z tcberner $
# $FreeBSD: head/Mk/Uses/qt.mk 480692 2018-09-25 20:12:03Z tcberner $
#
# There are three Qt related USES files with different access to Qt.
# - qmake: The port requires Qt's qmake to build -- creates the configure target
......@@ -30,7 +30,7 @@ _QT_MK_INCLUDED= qt.mk
# Qt versions currently supported by the framework.
_QT_SUPPORTED?= 4 5
QT4_VERSION?= 4.8.7
QT5_VERSION?= 5.11.1
QT5_VERSION?= 5.11.2
# We accept the Qt version to be passed by either or all of the three mk files.
. if empty(qt_ARGS) && empty(qmake_ARGS) && empty(qt-dist_ARGS)
......
# $FreeBSD: head/Mk/Uses/ssl.mk 439540 2017-04-27 12:14:29Z mat $
# $FreeBSD: head/Mk/Uses/ssl.mk 480682 2018-09-25 16:09:34Z sunpoet $
#
# Handle dependency on *ssl ports.
#
......@@ -10,7 +10,7 @@
#
# DEFAULT_VERSIONS+= ssl=<openssl variant>
#
# Variants being base, openssl, openssl-devel, libressl, and libressl-devel.
# Variants being base, openssl, openssl-devel, openssl111, libressl, and libressl-devel.
#
# The Makefile sets these variables:
# OPENSSLBASE - "/usr" or ${LOCALBASE}
......
# $FreeBSD: head/Mk/bsd.default-versions.mk 479014 2018-09-05 08:04:41Z tz $
# $FreeBSD: head/Mk/bsd.default-versions.mk 480682 2018-09-25 16:09:34Z sunpoet $
#
# MAINTAINER: ports@FreeBSD.org
#
......@@ -88,7 +88,7 @@ PYTHON3_DEFAULT?= 3.6
RUBY_DEFAULT?= 2.4
# Possible values: 4.6, 4.7, 4.8
SAMBA_DEFAULT?= 4.7
# Possible values: base, openssl, openssl-devel, libressl, libressl-devel
# Possible values: base, openssl, openssl-devel, openssl111, libressl, libressl-devel
.if !defined(SSL_DEFAULT)
# If no preference was set, check for an installed base version
# but give an installed port preference over it.
......
# $FreeBSD: head/Mk/bsd.options.desc.mk 475657 2018-07-29 12:36:50Z dbaio $
# $FreeBSD: head/Mk/bsd.options.desc.mk 480590 2018-09-24 11:13:36Z sunpoet $
#
# READ BEFORE EDITING:
# - Please keep descriptions sorted alphabetically by variable name.
......@@ -338,7 +338,8 @@ MP4_DESC?= MP4 media format support
MPEG2_DESC?= MPEG-2 video support via libmpeg2
MPG123_DESC?= MP3 decoding support via mpg123
MPI_DESC?= MPI (Message Passing Interface) support
MPICH2_DESC?= Parallel processing support via MPICH2
MPICH_DESC?= Parallel processing support via MPICH 3
MPICH2_DESC?= Parallel processing support via MPICH 2
MPLAYER_DESC?= MPlayer media player support
MPLS_DESC?= MPLS support
MPP_DESC?= Musepack audio format support
......
......@@ -3,7 +3,7 @@
#
# Created by: Akinori MUSHA <knu@FreeBSD.org>
#
# $FreeBSD: head/Mk/bsd.ruby.mk 480158 2018-09-20 09:12:06Z romain $
# $FreeBSD: head/Mk/bsd.ruby.mk 480661 2018-09-25 13:11:14Z romain $
#
.if !defined(Ruby_Include)
......@@ -165,7 +165,7 @@ RUBY23= "" # PLIST_SUB helpers
# Ruby 2.4
#
RUBY_RELVERSION= 2.4.4
RUBY_PORTREVISION= 3
RUBY_PORTREVISION= 4
RUBY_PORTEPOCH= 1
RUBY_PATCHLEVEL= 0
RUBY24= "" # PLIST_SUB helpers
......@@ -175,7 +175,7 @@ RUBY24= "" # PLIST_SUB helpers
# Ruby 2.5
#
RUBY_RELVERSION= 2.5.1
RUBY_PORTREVISION= 4
RUBY_PORTREVISION= 5
RUBY_PORTEPOCH= 1
RUBY_PATCHLEVEL= 0
RUBY25= "" # PLIST_SUB helpers
......
......@@ -5,6 +5,33 @@ they are unavoidable.
You should get into the habit of checking this file for changes each time
you update your ports collection, before attempting any port upgrades.
20180930:
AFFECTS: users of DRM components
AUTHOR: jmd@FreeBSD.org
A metaport, graphics/drm-kmod, was introduced for users of both the LinuxKPI-
based DRM components as well as the legacy ones. It is recommended to use the
metaport from now on, which will select a recommended DRM version based on
the FreeBSD version.
20180924:
AFFECTS: www/libresonic-standalone
AUTHOR: jlh@FreeBSD.org
HTTPS support has been removed from the port, as it will be removed upstream:
https://github.com/Libresonic/libresonic/issues/125#issuecomment-256227104
In order to avoid strange behavior for users who are using this feature, the
rc.d script will fail fast if libresonic_ssl="YES". You should remove the
following variables from rc.conf(5): libresonic_ssl libresonic_ssl_keystore
libresonic_ssl_password.
# sed -i '' /libresonic_ssl/d /etc/rc.conf
Users needing SSL are encouraged to use an HTTP reverse-proxy. Example
configurations can be found here:
https://github.com/Libresonic/libresonic/issues/119
20180922:
AFFECTS: users of graphics/ilmbase, graphics/OpenEXR
AUTHOR: mandree@FreeBSD.org
......@@ -38,6 +65,8 @@ you update your ports collection, before attempting any port upgrades.
After the upgrade, check with such list if all your php extensions
are still installed, and reinstall them if needed.
If you use mod_php56 you need to deinstall it and install mod_php71.
20180901:
AFFECTS: net/samba48
AUTHOR: timur@FreeBSD.org
......@@ -16214,4 +16243,4 @@ or
'nobody' by default. Make sure any existing configuration files are
readable by that user.
$FreeBSD: head/UPDATING 480374 2018-09-22 10:15:22Z mandree $
$FreeBSD: head/UPDATING 480968 2018-09-30 19:22:24Z jmd $
# $FreeBSD: head/accessibility/Makefile 468533 2018-04-28 10:22:20Z tcberner $
# $FreeBSD: head/accessibility/Makefile 480951 2018-09-30 11:58:29Z kwm $
#